<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <link rel="stylesheet" href="css/style.css" />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;700&display=swap"
      rel="stylesheet"
    />

    <title>Lab 1</title>
  </head>
  <body>
    <header class="header">
      <p class="cms">CMS</p>
      <div class="actions">
        <div class="msg-dropdown">
          <button class="btn-msg new-msg">
            <svg
              xmlns="http://www.w3.org/2000/svg"
              fill="none"
              viewBox="0 0 24 24"
              stroke-width="2"
              stroke="currentColor"
              class="icon-msg"
            >
              <path
                stroke-linecap="round"
                stroke-linejoin="round"
                d="M14.857 17.082a23.848 23.848 0 005.454-1.31A8.967 8.967 0 0118 9.75v-.7V9A6 6 0 006 9v.75a8.967 8.967 0 01-2.312 6.022c1.733.64 3.56 1.085 5.455 1.31m5.714 0a24.255 24.255 0 01-5.714 0m5.714 0a3 3 0 11-5.714 0"
              />
            </svg>
          </button>
          <div class="msg-dropdown-content">
            <div class="msg">
              <div class="msg-sender">
                <img
                  class="msg-sender-img"
                  src="img/user.jpg"
                  alt="Avatar of user"
                />
                <p>John</p>
              </div>
              <span class="msg-text"
                >Lorem ipsum dolor sit amet consectetur adipisicing elit.</span
              >
            </div>
            <div class="msg">
              <div class="msg-sender">
                <img
                  class="msg-sender-img"
                  src="img/user.jpg"
                  alt="Avatar of user"
                />
                <p>Peter</p>
              </div>
              <span class="msg-text"
                >Lorem ipsum dolor sit amet consectetur adipisicing elit.</span
              >
            </div>
          </div>
        </div>
        <div class="user">
          <div class="profile-dropdown">
            <button class="btn-profile">
              <img class="img-user" src="img/user.jpg" alt="Avatar of user" />
            </button>
            <div class="profile-dropdown-content">
              <a href="#">Profile</a>
              <a href="#">Log out</a>
            </div>
          </div>
          <span class="user-name">User</span>
        </div>
      </div>
    </header>
    <div class="grid">
      <main class="main">
        <h2 class="main-heading">Students</h2>
        <button class="btn--add-student">&plus;</button>
        <table>
          <thead>
            <th><input class="checkbox-status" type="checkbox" /></th>
            <th>Group</th>
            <th>Name</th>
            <th>Gender</th>
            <th>Birthday</th>
            <th>Status</th>
            <th>Options</th>
          </thead>
          <tbody class="table-content"></tbody>
        </table>
        <div class="student-window">
          <div class="student-window-content">
            <header class="student-window-header">
              <h3 class="student-window-heading">Add student</h3>
              <button class="btn--close-student-window">x</button>
            </header>
            <form id="student-form" class="student-form">
              <div class="student-input-container">
                <label for="group" class="student-form-label">Group</label>
                <select name="group" id="group" class="student-input" required>
                  <option value="">Select group</option>
                  <option value="PZ-21">PZ-21</option>
                  <option value="PZ-22">PZ-22</option>
                  <option value="PZ-23">PZ-23</option>
                  <option value="PZ-24">PZ-24</option>
                  <option value="PZ-25">PZ-25</option>
                  <option value="PZ-26">PZ-26</option>
                </select>
              </div>
              <div class="student-input-container">
                <label for="first-name" class="student-form-label"
                  >First name</label
                >
                <input
                  name="first-name"
                  id="first-name"
                  type="text"
                  class="student-input"
                  required
                />
              </div>
              <div class="student-input-container">
                <label for="last-name" class="student-form-label"
                  >Last name</label
                >
                <input
                  name="last-name"
                  id="last-name"
                  type="text"
                  class="student-input"
                  required
                />
              </div>
              <div class="student-input-container">
                <label for="gender" class="student-form-label">Gender</label>
                <select
                  name="gender"
                  id="gender"
                  class="student-input"
                  required
                >
                  <option value="">Select gender</option>
                  <option value="Male">Male</option>
                  <option value="Female">Female</option>
                </select>
              </div>
              <div class="student-input-container">
                <label for="birthday" class="student-form-label"
                  >Birthday</label
                >
                <input
                  name="birthday"
                  id="birthday"
                  type="date"
                  class="student-input"
                  required
                />
              </div>
              <div class="form-buttons">
                <button class="btn--form btn--form-submit" type="submit">
                  Submit
                </button>
                <button class="btn--form btn--form-cancel" type="button">
                  Cancel
                </button>
              </div>
            </form>
          </div>
        </div>
        <div class="delete-student-window">
          <div class="delete-student-window-content">
            <header class="delete-student-header">
              <h3 class="delete-student-window-heading">Warning</h3>
              <button class="btn--close-student-window">x</button>
            </header>
            <p class="delete-student-text">
              Are you sure you want to delete
              <span class="student-to-delete">User</span>?
            </p>
            <form class="delete student-form">
              <div class="form-buttons">
                <button
                  class="btn--form btn--delete-student-submit"
                  type="submit"
                >
                  Submit
                </button>
                <button
                  class="btn--form btn--delete-student-cancel"
                  type="button"
                >
                  Cancel
                </button>
              </div>
            </form>
          </div>
        </div>
        <div class="pagination">
          <a class="page-link" href="#">&larr;</a>
          <a class="page-link" href="#">1</a>
          <a class="page-link" href="#">2</a>
          <a class="page-link" href="#">3</a>
          <a class="page-link" href="#">4</a>
          <a class="page-link" href="#">&rarr;</a>
        </div>
      </main>
      <aside class="aside">
        <nav class="nav-panel">
          <a class="nav-link" href="#">Dashboard</a>
          <a class="nav-link current" href="#">Students</a>
          <a class="nav-link" href="#">Tasks</a>
        </nav>
      </aside>
    </div>

    <script src="js/script.js"></script>
  </body>
</html>
